Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.spi.component
Class ResourceComponentConstructor

    java.lang.Object
      com.sun.jersey.server.spi.component.ResourceComponentConstructor

    public class ResourceComponentConstructor

extends java.lang.Object

A constructor of a resource class.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResourceComponentConstructor(com.sun.jersey.server.impl.inject.ServerInjectableProviderContext sipc, ComponentScope scope, AbstractResource ar)`

Method Summary
`java.lang.Object` | `_construct(HttpContext hc)`
`java.lang.Object` | `construct(HttpContext hc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceComponentConstructor

    public ResourceComponentConstructor(com.sun.jersey.server.impl.inject.ServerInjectableProviderContext sipc,
                                        ComponentScope scope,
                                        AbstractResource ar)

Method Detail

### construct

    public java.lang.Object construct(HttpContext hc)
                               throws java.lang.InstantiationException,
                                      java.lang.IllegalAccessException,
                                      java.lang.IllegalArgumentException,
                                      java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.IllegalArgumentException`
    `java.lang.reflect.InvocationTargetException`

### _construct

    public java.lang.Object _construct(HttpContext hc)
                                throws java.lang.InstantiationException,
                                       java.lang.IllegalAccessException,
                                       java.lang.IllegalArgumentException,
                                       java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.IllegalArgumentException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.